"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function startWithUpperCase(name) {
    if (name && name.length) {
        return name[0].toUpperCase() + name.substr(1);
    }
    return name;
}
exports.startWithUpperCase = startWithUpperCase;
function uniq(items) {
    return items.filter((value, index, self) => self.indexOf(value) === index);
}
exports.uniq = uniq;
function timeout(ms, promise) {
    return new Promise(function (resolve, reject) {
        setTimeout(function () {
            reject(new Error("timeout"));
        }, ms);
        promise.then(resolve, reject);
    });
}
exports.timeout = timeout;
