import { GraphQlQueryExecutor, IGraphQlQueryExecutorRequest } from "./graphql-executor";
import { GraphQlQueryType, GraphQlQueryItems, GraphQlRequestResult } from "./graphql";
export declare type CacheGraphQlQueryExecutorOptions = {
    [index: string]: {
        max: number;
        ttl: number;
    };
};
export declare class CacheGraphQlQueryExecutor extends GraphQlQueryExecutor {
    private storage;
    constructor(request: IGraphQlQueryExecutorRequest, cacheOptions: CacheGraphQlQueryExecutorOptions);
    execute<T>(type: GraphQlQueryType, items: GraphQlQueryItems): Promise<GraphQlRequestResult<T>>;
    private setCacheData;
    private createItemKey;
}
