import { FileGenerator } from "./generator";
import { ActionType, SchemaData, GeneratedInfo } from "./schema";
export declare class ApiGenerator extends FileGenerator {
    private schemaData;
    private type;
    private apiTypesFilename;
    constructor(schemaData: SchemaData, file: string, type: ActionType, apiTypesFilename: string);
    protected getContent(): Promise<string>;
    protected generateMutationMethods(): GeneratedInfo;
    protected generateQueryMethods(): GeneratedInfo;
    protected generateApi(action: ActionType): {
        name: string;
        data: string;
    };
}
