import { GraphQlQueryType, GraphQlQueryItem, GraphQlRequestResult, IGraphQlQueryExecutor } from "./graphql";
export declare class GraphQlQuery<T extends {}, TName extends string> {
    private executor;
    private type;
    private items;
    constructor(executor: IGraphQlQueryExecutor, type: GraphQlQueryType);
    queryHasItems(): boolean;
    queryAddItem(key: keyof T, item: GraphQlQueryItem<TName>): this;
    queryExecute(): Promise<GraphQlRequestResult<T>>;
}
